aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-20 15:59:04 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-20 15:59:04 +0100
commitfa6176219b741eed346b21a3d923e9abc9b5442a (patch)
tree2f45f1ae177628b485339ca83b71ff45629c54ff
parent827bcb9cb6a7c70b541047ad0d5d2aac9410a379 (diff)
downloadopenembedded-core-contrib-fa6176219b741eed346b21a3d923e9abc9b5442a.tar.gz
Rename poky-init-build-env to oe-init-build-env
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/classes/sanity.bbclass2
-rwxr-xr-xoe-init-build-env (renamed from poky-init-build-env)6
-rwxr-xr-xscripts/oe-buildenv-internal (renamed from scripts/poky-env-internal)0
-rwxr-xr-xscripts/poky-setup-builddir2
-rwxr-xr-xscripts/poky-setup-rpmrepo2
5 files changed, 6 insertions, 6 deletions
diff --git a/meta/classes/sanity.bbclass b/meta/classes/sanity.bbclass
index 500a1b2f69..b5170a55c7 100644
--- a/meta/classes/sanity.bbclass
+++ b/meta/classes/sanity.bbclass
@@ -46,7 +46,7 @@ def check_pseudo_wrapper():
# Check if bitbake wrapper is being used
pseudo_build = os.environ.get( 'PSEUDO_BUILD' )
if not pseudo_build:
- bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the poky-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.")
+ bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the oe-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.")
if (not pseudo_build) or pseudo_build == '2':
# pseudo ought to be working, let's see if it is...
diff --git a/poky-init-build-env b/oe-init-build-env
index 3c8aa5341b..87929d119d 100755
--- a/poky-init-build-env
+++ b/oe-init-build-env
@@ -25,8 +25,8 @@
# being sourced. To workaround the shell limitation use "set arg1" prior
# to sourcing this script.
#
-if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./poky-init-build-env" ]; then
- echo "Error: This script needs to be sourced. Please run as '. ./poky-init-build-env'"
+if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./oe-init-build-env" ]; then
+ echo "Error: This script needs to be sourced. Please run as '. ./oe-init-build-env'"
else
if [ -n "$BASH_SOURCE" ]; then
OEROOT="`dirname $BASH_SOURCE`"
@@ -35,7 +35,7 @@ else
fi
OEROOT=`readlink -f "$OEROOT"`
export OEROOT
- . $OEROOT/scripts/poky-env-internal
+ . $OEROOT/scripts/oe-buildenv-internal
$OEROOT/scripts/poky-setup-builddir
unset OEROOT
unset BBPATH
diff --git a/scripts/poky-env-internal b/scripts/oe-buildenv-internal
index 03b078f299..03b078f299 100755
--- a/scripts/poky-env-internal
+++ b/scripts/oe-buildenv-internal
diff --git a/scripts/poky-setup-builddir b/scripts/poky-setup-builddir
index 7a49a8fb9c..b8a6dd95ae 100755
--- a/scripts/poky-setup-builddir
+++ b/scripts/poky-setup-builddir
@@ -31,7 +31,7 @@ if ! (test -d "$BUILDDIR"); then
fi
if ! (test -w "$BUILDDIR"); then
- echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . poky-init-build-env ~/my-build"
+ echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . oe-init-build-env ~/my-build"
exit 1
fi
diff --git a/scripts/poky-setup-rpmrepo b/scripts/poky-setup-rpmrepo
index 42a9b6aedf..0e84ca9ee5 100755
--- a/scripts/poky-setup-rpmrepo
+++ b/scripts/poky-setup-rpmrepo
@@ -34,7 +34,7 @@ setup_tmpdir() {
type -P bitbake &>/dev/null || {
echo "In order for this script to dynamically infer paths";
echo "to kernels or filesystem images, you either need";
- echo "bitbake in your PATH or to source poky-init-build-env";
+ echo "bitbake in your PATH or to source oe-init-build-env";
echo "before running this script" >&2;
exit 1; }